Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 28 Jul 2014, 14:48
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Polarpup-005 with Qt4-4.8.0 and Gstreamer libs inbuild
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 31 of 34 [498 Posts]   Goto page: Previous 1, 2, 3, ..., 29, 30, 31, 32, 33, 34 Next
Author Message
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Mon 05 Mar 2012, 10:55    Post subject:  

Darkcity. Polarpup has the qt4 development stuff up to opengl and phonon-gstreamer...fair complete.
They are in devx sfs. But...I think you will need a little better exporting first.

Install the attached pet and and then in console: "source /etc/profile.d/qt4"

My previous version has not been definitive enough....for all qt4 application compiling. Some environments has not been able to find the right location.

Installing lucid qt4 is somewhat funny....when you have already full qt4 environment in distro. It just needs to be defined better.
qt4-devel-export-fix-0.0.1.pet
Description 
pet

 Download 
Filename  qt4-devel-export-fix-0.0.1.pet 
Filesize  557 Bytes 
Downloaded  378 Time(s) 
Back to top
View user's profile Send private message 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Mon 05 Mar 2012, 11:28    Post subject:  

Pemasu I am just too dense to get it so I ask.
You don't have to answer but the title is
Polarpup-005 with Qt4-4.8.0 and Gstreamer libs inbuild

I remember vaguely that you had Polarpup 15 or even later versions?
So is it something special with Polarpup-005
that let it work with Qt4-4.8.0 and Gstreamer libs and the later versions
being different?

As I remember Polarpup-005 had Lupu 513 as base and later versions
most likely where Lupu 525? or even 528? Or is it about what kernel
them use? No big deal just me curious. If it is a too heavy bad derail
then ignore it

Edit Much appreciated. sorry my poor memory mixed them up.
So Snow where up to snow 15 or beyond while Polarpup current version
are at polarpup 5 okay.

_________________
I use Google Search on Puppy Forum
not an ideal solution though

Last edited by nooby on Mon 05 Mar 2012, 12:52; edited 2 times in total
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Mon 05 Mar 2012, 11:40    Post subject:  

Nope. You mix the Ice Puppy, Snow Puppy and Polarpup versions. I havent retrograded Polarpup. 005 is the latest in this saga.

There isnt anything special in Polarpup. Just compiled the kernel, used the latest woof of that time, compiled and included full Qt4.

I have stepped out of Lucid Puppy development before 5.2 version. Playdayz stopped using woof upgrades and started to use some maverick libs and bins. So...you couldnt build Lucid Puppy anymore from net repo. I had to step out. I have had always pure Ubuntu Lucid Puppy...no upgraded libs or bins...only those which I have compiled in Polarpup or in my other Lucid Puplets.

So...My Lucid builds havent followed fully Playdayz work. But....I have followed the update processes keenly and I have picked up useful stuff all the time. So my builds have in big percent flavour of Lucid Puppies. Well....wm`s are JWM and Icewm...not openbox.
Back to top
View user's profile Send private message 
darkcity


Joined: 23 May 2010
Posts: 2435
Location: near here

PostPosted: Mon 05 Mar 2012, 11:42    Post subject:  

@Pemasu

great - will try qt dev 'redefined' with fresh install

will experiment later in week.

if can get jack and other features working in qtractor and can learn to make pet - then I will upload qtractor Cool

_________________
helping Wiki for help | IF SendSpace link = "dead" THEN PM me ("up file to http://meownplanet.net/")
Back to top
View user's profile Send private message Visit poster's website 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Tue 06 Mar 2012, 01:16    Post subject:  

@pemasu

thanks, downloading eprimo...

I want to install ffmpeg from... http://www.murga-linux.com/puppy/viewtopic.php?t=57886

do you think it will work ?

thanks

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Tue 06 Mar 2012, 01:19    Post subject:  

Master_wrong. I dont know. Using ffmpeg for video decoding is something I havent much done. Usually I use ffmpeg for conversion or for music listening with Pmusic.
It is experimenting now with Bino.

I can upload my compiled Bino....if you want to test it.
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Tue 06 Mar 2012, 10:28    Post subject:    

Quote:
I can upload my compiled Bino....if you want to test it.


Very Happy
YES...

yes please thank you...

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Tue 06 Mar 2012, 11:08    Post subject:  

Not sure how working this compile is...or does it work with other ffmpeg version....but since I compiled it as test.....here you go...
I am sure you will need to install some missing libs...so launch it in console and start hunting.
libass...libopenal...libenca...maybe something else.
bino-1.2.1.pet
Description 
pet

 Download 
Filename  bino-1.2.1.pet 
Filesize  428.46 KB 
Downloaded  318 Time(s) 
bino_DOC-1.2.1.pet
Description 
pet

 Download 
Filename  bino_DOC-1.2.1.pet 
Filesize  147.8 KB 
Downloaded  306 Time(s) 
bino_NLS-1.2.1.pet
Description 
pet

 Download 
Filename  bino_NLS-1.2.1.pet 
Filesize  59.35 KB 
Downloaded  311 Time(s) 
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Tue 06 Mar 2012, 17:13    Post subject:  

It can be that my compile is just not working one. The error message I get, when I googled suggests that the bino compile might be non-working and it is not due to incompatible ffmpeg at all.
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Tue 06 Mar 2012, 23:27    Post subject:  

Very Happy

Thanks, Pemasu.

EDIT :
i run your compiled bino on 528, with libQT files (60 files) taken... i mean borrowed from other installed linux...

but then again, i failed to run windows-version-of-bino on my computer too... with same error

maybe hardware problem?

EDIT:
http://lists.gnu.org/archive/html/bino-list/2011-04/msg00088.html
image-1.png
 Description   
 Filesize   14.68 KB
 Viewed   933 Time(s)

image-1.png


_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Thu 08 Mar 2012, 10:11    Post subject:  

Do you have /usr/lib/dri stuff installed ? If I remember right it is called libgl1-mesa-dri in debian. Lucid Puppy and dpup exprimo has packaged it as xorg_high. If not....Install the opengl dri package with some of above names and run xorgwizard of your driver and restart X.
Back to top
View user's profile Send private message 
darkcity


Joined: 23 May 2010
Posts: 2435
Location: near here

PostPosted: Sun 11 Mar 2012, 18:06    Post subject:  

Cool

Hi pemasu,

Check Qtractor compile and it recognises Qt with the redefinition PET - thanks.

---

On a different note-

Polarpup has the F11 fullscreen bug with firefox - you can't exit fullscreen.

this can be cleared up with-
http://distro.ibiblio.org/quirky/pet_packages-common/jwm2-505-w5c.pet
more info
http://bkhome.org/blog/?viewDetailed=02507

---

finally, made page for Polar pup on Wiki-
http://puppylinux.org/wikka/PolarPup

_________________
helping Wiki for help | IF SendSpace link = "dead" THEN PM me ("up file to http://meownplanet.net/")
Back to top
View user's profile Send private message Visit poster's website 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 11 Mar 2012, 18:18    Post subject:  

Oh yes...jwm bug can be fixed with that or update to the newer jwm-574.

http://distro.ibiblio.org/quirky/pet_packages-common/jwm2-574-w5c.pet

Good to hear that you got it working. I know the feeling when you have worked hard for a goal and you manage in your aim.

And nice wiki page also. Thank you of that.
Back to top
View user's profile Send private message 
darkcity


Joined: 23 May 2010
Posts: 2435
Location: near here

PostPosted: Mon 12 Mar 2012, 17:09    Post subject:  

the goal isn't quite a archived (ie. qtractor full-functional and packaged as a PET)

but you've help me take a big step ; -)

_________________
helping Wiki for help | IF SendSpace link = "dead" THEN PM me ("up file to http://meownplanet.net/")
Back to top
View user's profile Send private message Visit poster's website 
marco07

Joined: 18 Jan 2011
Posts: 176
Location: Lincoln , NE, USA

PostPosted: Sun 01 Apr 2012, 08:54    Post subject:  

Hi pemasu:
I recently had to reinstall polarpop 005. Everything went ok. Except, now when I close the laptop lid, suspend does not function. It functions well from shutdown menu though. It used to work on my previous install. I did reformat the same partition where I had it installed before. It was a frugal and still is a frugal install on my Thinkpad R60.
Could you advise please?
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 31 of 34 [498 Posts]   Goto page: Previous 1, 2, 3, ..., 29, 30, 31, 32, 33, 34 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0838s ][ Queries: 13 (0.0127s) ][ GZIP on ]